Subject: bug#33693: Missing icons in GNOME Shell since core-updates merge

From: Mark H Weaver <[email-masked]>
Date: Mon, 10 Dec 2018 00:32:37 -0500

Since the core-updates merge, on my x86_64 GuixSD system, GNOME Shell is
missing some of its icons.  Specifically:

* In window "overview" mode, the window close buttons are not visible,
  although they still work if you know where to click.

* In the built-in calendar (made visible when you click on the time
  display in the middle of the top bar) the buttons to change to the
  next or previous months are invisible, although they still highlight
  when the mouse hovers over them, and they still work if clicked.

In case it's relevant, I run GNOME 3 within Wayland, launched manually
from the command-line from a virtual text terminal using the following
command:

  XDG_SESSION_TYPE=wayland exec dbus-run-session gnome-session

(gnome-desktop-service) is included in my system services.

      Mark